
# Example from Lecture 2 in week 2: robot to count how many boxes
# are in a stack. This is the iterative solution.

import robot

def count_boxes():
    '''Iterative version of the count-boxes-in-a-stack function.'''
    count = 0
    while robot.sense_color() != '':
        count = count + 1
        robot.lift_up()
    num_boxes = count
    while count > 0:
        robot.lift_down()
        count = count - 1
    return num_boxes

# Try with different stack sizes:

robot.init(height = 5, boxes = [["blue", "green", "yellow", "red"]])
#robot.init(height = 6, boxes = [["black", "yellow", "red", "white", "blue"]])
#robot.init(height = 7, boxes = "random")

print("Number of boxes in the stack:", count_boxes())
